Subject: Re: Restore annotated tag?

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 22 Sep 2010 11:39:17 -0700

[email-masked] wrote:
> 
> One thing I noticed that I wasn't sure about is that I SSH'd into the
> server and ran git update-ref to restore the tag. That created the
> symbolic name in .git/refs/tags/NAME to point to that tag object. But
> what I noticed is that the only file listed in .git/refs/tags is the
> tag I restored. There are other tags in the repository (and a fresh
> clone gets them), but they don't show up in that directory.

The other tags are in the .git/packed-refs file.

> Is it
> going to be a problem that ran git update-ref on the server (which is
> a bare repository) rather than on a clone that I push?

No.

-- 
Shawn.